Package ru.bitel.bgbilling.modules.card.common.bean

# Class Dealer.Builder

java.lang.Object
ru.bitel.bgbilling.modules.card.common.bean.Dealer.Builder

Enclosing class:
  `Dealer`

public static class Dealer.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dealer`
  `build()`
  `Dealer.Builder`
  `setAllowcontracts(long allowcontracts)`
  `Dealer.Builder`
  `setAllowcontractsMode(int allowcontractsMode)`
  `Dealer.Builder`
  `setCanselTime(int endTime)`
  `Dealer.Builder`
  `setCardContract(String cardContract)`
  `Dealer.Builder`
  `setCardPercent(float cardPercent)`
  `Dealer.Builder`
  `setComment(String comment)`
  `Dealer.Builder`
  `setContractId(int contractId)`
  `Dealer.Builder`
  `setDate1(Calendar date1)`
  `Dealer.Builder`
  `setDate2(Calendar date2)`
  `Dealer.Builder`
  `setError(int error)`
  `Dealer.Builder`
  `setFindmodes(long findmodes)`
  `Dealer.Builder`
  `setId(int value)`
  `Dealer.Builder`
  `setIp(String ip)`
  `Dealer.Builder`
  `setLogin(String login)`
  `Dealer.Builder`
  `setParams(int params)`
  `Dealer.Builder`
  `setPassword(String password)`
  `Dealer.Builder`
  `setPayComissionType(int payComissionType)`
  `Dealer.Builder`
  `setPayContract(String payContract)`
  `Dealer.Builder`
  `setPayPercent(float payPercent)`
  `Dealer.Builder`
  `setPt(String pt)`
  `Dealer.Builder`
  `setStatFinded(int finded)`
  `Dealer.Builder`
  `setStatPayed(int payed)`
  `Dealer.Builder`
  `setStatRequest(int request)`
  `Dealer.Builder`
  `setTitle(String title)`
  `Dealer.Builder`
  `setType(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public Dealer.Builder setId(int value)

  - ### setTitle

    public Dealer.Builder setTitle(String title)

  - ### setAllowcontracts

    public Dealer.Builder setAllowcontracts(long allowcontracts)

  - ### setAllowcontractsMode

    public Dealer.Builder setAllowcontractsMode(int allowcontractsMode)

  - ### setCanselTime

    public Dealer.Builder setCanselTime(int endTime)

  - ### setCardContract

    public Dealer.Builder setCardContract(String cardContract)

  - ### setCardPercent

    public Dealer.Builder setCardPercent(float cardPercent)

  - ### setComment

    public Dealer.Builder setComment(String comment)

  - ### setContractId

    public Dealer.Builder setContractId(int contractId)

  - ### setDate1

    public Dealer.Builder setDate1(Calendar date1)

  - ### setDate2

    public Dealer.Builder setDate2(Calendar date2)

  - ### setError

    public Dealer.Builder setError(int error)

  - ### setFindmodes

    public Dealer.Builder setFindmodes(long findmodes)

  - ### setIp

    public Dealer.Builder setIp(String ip)

  - ### setLogin

    public Dealer.Builder setLogin(String login)

  - ### setParams

    public Dealer.Builder setParams(int params)

  - ### setPassword

    public Dealer.Builder setPassword(String password)

  - ### setPayComissionType

    public Dealer.Builder setPayComissionType(int payComissionType)

  - ### setPayContract

    public Dealer.Builder setPayContract(String payContract)

  - ### setPayPercent

    public Dealer.Builder setPayPercent(float payPercent)

  - ### setPt

    public Dealer.Builder setPt(String pt)

  - ### setStatFinded

    public Dealer.Builder setStatFinded(int finded)

  - ### setStatPayed

    public Dealer.Builder setStatPayed(int payed)

  - ### setStatRequest

    public Dealer.Builder setStatRequest(int request)

  - ### setType

    public Dealer.Builder setType(int type)

  - ### build

    public Dealer build()